Bug 252655 - games/crossfire-client: Update to 1.75.0
Summary: games/crossfire-client: Update to 1.75.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://sourceforge.net/p/crossfire/c...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2021-01-14 00:58 UTC by Kevin Zheng
Modified: 2021-02-01 11:20 UTC (History)
1 user (show)

See Also:


Attachments
Patch (3.50 KB, patch)
2021-01-14 00:58 UTC, Kevin Zheng
no flags Details | Diff
Patch (3.17 KB, patch)
2021-01-27 01:21 UTC, Kevin Zheng
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Zheng 2021-01-14 00:58:39 UTC
Created attachment 221548 [details]
Patch

games/crossfire-client: Update to 1.75.0
Comment 1 Automation User 2021-01-14 04:26:56 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/241404771
Comment 2 Fernando Apesteguía freebsd_committer 2021-01-14 07:08:18 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]

^Triage: Maintainer-feedback flag (+) not required unless requested (?) first.

Q/A:  Makefile: use of DISTFILES with single file discouraged. distribution filename should be set by DISTNAME and EXTRACT_SUFX.
 Makefile: DISTFILES/DISTNAME affects WRKSRC. take caution when changing them.
 files: empty directory should be removed.

Would this work:

-DISTFILES=     ${PORTNAME}-${PORTVERSION}${EXTRACT_SUFX}
+DISTNAME=      ${PORTNAME}-${PORTVERSION}

^Triage: Please confirm this change passes QA (portlint, poudriere at least).
--
https://www.freebsd.org/doc/en/books/porters-handbook/testing.html


Thanks!
Comment 3 Kevin Zheng 2021-01-14 19:17:11 UTC
It looks to me like it works without the DISTFILES line entirely:

index 5a7832574d45..24c4c9fc0e8a 100644
--- a/games/crossfire-client/Makefile
+++ b/games/crossfire-client/Makefile
@@ -5,7 +5,6 @@ PORTNAME=       crossfire-client
 PORTVERSION=   1.75.0
 CATEGORIES=    games
 MASTER_SITES=  SF/crossfire/${PORTNAME}/${PORTVERSION}
-DISTFILES=     ${PORTNAME}-${PORTVERSION}${EXTRACT_SUFX}
Comment 4 Kevin Zheng 2021-01-27 01:21:14 UTC
Created attachment 221952 [details]
Patch

Bump on this issue with updated complete patch.
Comment 5 Fernando Apesteguía freebsd_committer 2021-02-01 11:19:42 UTC
Committed,

Thanks!
Comment 6 commit-hook freebsd_committer 2021-02-01 11:20:11 UTC
A commit references this bug:

Author: fernape
Date: Mon Feb  1 11:19:32 UTC 2021
New revision: 563566
URL: https://svnweb.freebsd.org/changeset/ports/563566

Log:
  games/crossfire-client: Update to 1.75.0

  ChangeLog:
  https://sourceforge.net/p/crossfire/crossfire-client/ci/88b59/tree/ChangeLog?format=raw

  PR:	252655
  Submitted by:	kevinz5000@gmail.com (maintainer)

Changes:
  head/games/crossfire-client/Makefile
  head/games/crossfire-client/distinfo
  head/games/crossfire-client/files/
  head/games/crossfire-client/pkg-plist